.server-card {
    --server-card-desktop-width: 340px;
    --server-card-desktop-height: 200px;
    --server-card-tablet-landscape-width: 227px;
    --server-card-tablet-landscape-height: 133px;
    --server-card-tablet-lg-width: 403px;
    --server-card-tablet-lg-height: 237px;
    --server-card-tablet-width: 321px;
    --server-card-tablet-height: 188px;
    --payment-card-mobile-landscape-width: 214px;
    --payment-card-mobile-landscape-height: 125px;
    --server-card-mobile-width: 177px;
    --server-card-mobile-height: 104px;
    --server-card-mobile-sm-width: 157px;
    --server-card-mobile-sm-height: 92px;
    --server-card-server-color: #fff;
    --server-card-width: var(--server-card-mobile-sm-width);
    --server-card-height: var(--server-card-mobile-sm-height);
    height: var(--server-card-height) !important;
    width: var(--server-card-width) !important
}

.server-card .server-card-id {
    font-size: 14px;
    line-height: 14px
}

@media (min-width:378px) {
    .server-card .server-card-id {
        font-size: 15.82px;
        line-height: 15.82px
    }
}

@media (min-width:679px) {
    .server-card .server-card-id {
        font-size: 28.6px;
        line-height: 28.6px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .server-card-id {
        font-size: 15px;
        line-height: 15px
    }
}

@media (min-width:855px) {
    .server-card .server-card-id {
        font-size: 35.94px;
        line-height: 35.94px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .server-card-id {
        font-size: 17px;
        line-height: 15.82px
    }
}

@media (min-width:1420px) {
    .server-card .server-card-id {
        font-size: 28px;
        line-height: 28px
    }
}

.server-card .server-card-info {
    font-size: 11px;
    font-weight: 500;
    line-height: 13.41px;
    --tw-text-opacity: 1;
    color: rgb(115 115 115/var(--tw-text-opacity, 1))
}

@media (min-width:378px) {
    .server-card .server-card-info {
        font-size: 14px;
        line-height: 15.15px
    }
}

@media (min-width:679px) {
    .server-card .server-card-info {
        font-size: 22.47px;
        line-height: 27.39px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .server-card-info {
        font-size: 12px;
        line-height: 13.41px
    }
}

@media (min-width:855px) {
    .server-card .server-card-info {
        font-size: 28.24px;
        line-height: 34.42px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .server-card-info {
        font-size: 14px;
        line-height: 15.15px
    }
}

@media (min-width:1420px) {
    .server-card .server-card-info {
        font-size: 24px;
        line-height: 29.26px
    }
}

.server-card .card-body {
    padding: 10px 14px
}

@media (min-width:378px) {
    .server-card .card-body {
        padding: 11px 16px
    }
}

@media (min-width:679px) {
    .server-card .card-body {
        padding: 20px 28px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .card-body {
        padding: 10px 14px
    }
}

@media (min-width:855px) {
    .server-card .card-body {
        padding: 25px 36px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .card-body {
        padding: 11px 16px
    }
}

@media (min-width:1420px) {
    .server-card .card-body {
        padding: 30px 30px 20px
    }
}

.server-card .server-card-title-lg {
    font-size: 14px;
    font-weight: 700;
    line-height: 19.17px;
    text-transform: uppercase
}

@media (min-width:378px) {
    .server-card .server-card-title-lg {
        font-size: 15.77px;
        line-height: 21.66px
    }
}

@media (min-width:679px) {
    .server-card .server-card-title-lg {
        font-size: 29px;
        line-height: 39.15px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .server-card-title-lg {
        font-size: 14px;
        line-height: 19.17px
    }
}

@media (min-width:855px) {
    .server-card .server-card-title-lg {
        font-size: 34px;
        line-height: 49.19px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .server-card-title-lg {
        font-size: 16px;
        line-height: 21.66px
    }
}

@media (min-width:1420px) {
    .server-card .server-card-title-lg {
        font-size: 32px;
        line-height: 38px
    }
}

.server-card .server-card-title {
    font-size: 11.72px;
    font-weight: 700;
    text-transform: uppercase
}

@media (min-width:378px) {
    .server-card .server-card-title {
        font-size: 13.77px
    }
}

@media (min-width:679px) {
    .server-card .server-card-title {
        font-size: 22.12px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .server-card-title {
        font-size: 11.72px
    }
}

@media (min-width:855px) {
    .server-card .server-card-title {
        font-size: 26.36px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .server-card-title {
        font-size: 14px
    }
}

@media (min-width:1420px) {
    .server-card .server-card-title {
        font-size: 24px
    }
}

.server-card .server-card-title-sm {
    font-size: 8px;
    font-weight: 700;
    text-transform: uppercase
}

@media (min-width:378px) {
    .server-card .server-card-title-sm {
        font-size: 10px
    }
}

@media (min-width:679px) {
    .server-card .server-card-title-sm {
        font-size: 18px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .server-card-title-sm {
        font-size: 8px
    }
}

@media (min-width:855px) {
    .server-card .server-card-title-sm {
        font-size: 22px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .server-card-title-sm {
        font-size: 10px
    }
}

@media (min-width:1420px) {
    .server-card .server-card-title-sm {
        font-size: 22px
    }
}

.server-card .server-card-footer {
    bottom: 10px;
    display: flex;
    left: 0;
    position: absolute;
    width: 100%;
    --tw-translate-x: -1rem;
    align-items: center;
    border-radius: 10px;
    justify-content: space-between;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    --tw-bg-opacity: 1;
    background-color: rgb(32 32 32/var(--tw-bg-opacity, 1));
    opacity: 0;
    padding-left: 14px;
    padding-right: 14px;
    transition-duration: .15s;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1)
}

@media (min-width:378px) {
    .server-card .server-card-footer {
        bottom: 8px;
        padding-left: 16px;
        padding-right: 16px
    }
}

@media (min-width:679px) {
    .server-card .server-card-footer {
        bottom: 14.15px;
        padding-left: 28px;
        padding-right: 28px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .server-card-footer {
        bottom: 10px;
        padding-left: 14px;
        padding-right: 14px
    }
}

@media (min-width:855px) {
    .server-card .server-card-footer {
        bottom: 17.63px;
        padding-left: 36px;
        padding-right: 36px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .server-card-footer {
        bottom: 8px;
        padding-left: 16px;
        padding-right: 16px
    }
}

@media (min-width:1420px) {
    .server-card .server-card-footer {
        bottom: 16px;
        padding-left: 30px;
        padding-right: 30px
    }
}

.server-card .server-card-footer {
    color: var(--server-card-server-color)
}

.server-card .server-card-footer .server-card-footer-title {
    font-size: 12.03px;
    font-weight: 600;
    line-height: 16.84px
}

@media (min-width:378px) {
    .server-card .server-card-footer .server-card-footer-title {
        font-size: 13.59px;
        line-height: 19.03px
    }
}

@media (min-width:679px) {
    .server-card .server-card-footer .server-card-footer-title {
        font-size: 24.76px;
        line-height: 34.67px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .server-card-footer .server-card-footer-title {
        font-size: 12.03px;
        line-height: 16.84px
    }
}

@media (min-width:855px) {
    .server-card .server-card-footer .server-card-footer-title {
        font-size: 30.86px;
        line-height: 43.2px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .server-card-footer .server-card-footer-title {
        font-size: 13.59px;
        line-height: 19.03px
    }
}

@media (min-width:1420px) {
    .server-card .server-card-footer .server-card-footer-title {
        font-size: 28px;
        font-weight: 600;
        line-height: 39.2px
    }
}

.server-card .server-card-footer svg {
    height: 17px;
    width: 17px
}

@media (min-width:378px) {
    .server-card .server-card-footer svg {
        height: 19px;
        width: 19px
    }
}

@media (min-width:679px) {
    .server-card .server-card-footer svg {
        height: 35px;
        width: 35px
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card .server-card-footer svg {
        height: 17px;
        width: 17px
    }
}

@media (min-width:855px) {
    .server-card .server-card-footer svg {
        height: 44px;
        width: 44px
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card .server-card-footer svg {
        height: 19px;
        width: 19px
    }
}

@media (min-width:1420px) {
    .server-card .server-card-footer svg {
        height: 40px;
        width: 40px
    }
}

.server-card:hover {
    color: var(--server-card-server-color)
}

.server-card:hover .server-card-footer {
    --tw-translate-x: 0px;
    opacity: 1;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.server-card.server-modal {
    --server-card-desktop-width: 340px;
    --server-card-desktop-height: 200px;
    --server-card-tablet-landscape-width: 165px;
    --server-card-tablet-landscape-height: 97px;
    --server-card-tablet-lg-width: 374px;
    --server-card-tablet-lg-height: 220px;
    --server-card-tablet-width: 300px;
    --server-card-tablet-height: 176px;
    --payment-card-mobile-landscape-width: 146px;
    --payment-card-mobile-landscape-height: 85px;
    --server-card-mobile-width: 165px;
    --server-card-mobile-height: 97px;
    --server-card-mobile-sm-width: 146px;
    --server-card-mobile-sm-height: 85px
}

@media (min-width:378px) {
    .server-card {
        --server-card-width: var(--server-card-mobile-width);
        --server-card-height: var(--server-card-mobile-height)
    }
}

@media (min-width:679px) {
    .server-card {
        --server-card-width: var(--server-card-tablet-width);
        --server-card-height: var(--server-card-tablet-height)
    }
}

@media (min-width:320px) and (max-width:843px) and (orientation:landscape) {
    .server-card {
        --server-card-width: var(--payment-card-mobile-landscape-width);
        --server-card-height: var(--payment-card-mobile-landscape-height)
    }
}

@media (min-width:855px) {
    .server-card {
        --server-card-width: var(--server-card-tablet-lg-width);
        --server-card-height: var(--server-card-tablet-lg-height)
    }
}

@media (min-width:844px) and (max-width:1419px) and (orientation:landscape) {
    .server-card {
        --server-card-width: var(--server-card-tablet-landscape-width);
        --server-card-height: var(--server-card-tablet-landscape-height)
    }
}

@media (min-width:1420px) {
    .server-card {
        --server-card-width: var(--server-card-desktop-width);
        --server-card-height: var(--server-card-desktop-height)
    }
}

:root {
    --swiper-theme-color: #007aff
}

:host {
    display: block;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    z-index: 1
}

.swiper {
    display: block;
    list-style: none;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
    padding: 0;
    position: relative;
    z-index: 1
}

.swiper-vertical>.swiper-wrapper {
    flex-direction: column
}

.swiper-wrapper {
    box-sizing: content-box;
    display: flex;
    height: 100%;
    position: relative;
    transition-property: transform;
    transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
    width: 100%;
    z-index: 1
}

.swiper-android .swiper-slide,
.swiper-ios .swiper-slide,
.swiper-wrapper {
    transform: translateZ(0)
}

.swiper-horizontal {
    touch-action: pan-y
}

.swiper-vertical {
    touch-action: pan-x
}

.swiper-slide {
    display: block;
    flex-shrink: 0;
    height: 100%;
    position: relative;
    transition-property: transform;
    width: 100%
}

.swiper-slide-invisible-blank {
    visibility: hidden
}

.swiper-autoheight,
.swiper-autoheight .swiper-slide {
    height: auto
}

.swiper-autoheight .swiper-wrapper {
    align-items: flex-start;
    transition-property: transform, height
}

.swiper-backface-hidden .swiper-slide {
    backface-visibility: hidden;
    transform: translateZ(0)
}

.swiper-3d.swiper-css-mode .swiper-wrapper {
    perspective: 1200px
}

.swiper-3d .swiper-wrapper {
    transform-style: preserve-3d
}

.swiper-3d {
    perspective: 1200px
}

.swiper-3d .swiper-cube-shadow,
.swiper-3d .swiper-slide {
    transform-style: preserve-3d
}

.swiper-css-mode>.swiper-wrapper {
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none
}

.swiper-css-mode>.swiper-wrapper::-webkit-scrollbar {
    display: none
}

.swiper-css-mode>.swiper-wrapper>.swiper-slide {
    scroll-snap-align: start start
}

.swiper-css-mode.swiper-horizontal>.swiper-wrapper {
    scroll-snap-type: x mandatory
}

.swiper-css-mode.swiper-horizontal>.swiper-wrapper>.swiper-slide:first-child {
    margin-inline-start: var(--swiper-slides-offset-before);
    scroll-margin-inline-start: var(--swiper-slides-offset-before)
}

.swiper-css-mode.swiper-horizontal>.swiper-wrapper>.swiper-slide:last-child {
    margin-inline-end: var(--swiper-slides-offset-after)
}

.swiper-css-mode.swiper-vertical>.swiper-wrapper {
    scroll-snap-type: y mandatory
}

.swiper-css-mode.swiper-vertical>.swiper-wrapper>.swiper-slide:first-child {
    margin-block-start: var(--swiper-slides-offset-before);
    scroll-margin-block-start: var(--swiper-slides-offset-before)
}

.swiper-css-mode.swiper-vertical>.swiper-wrapper>.swiper-slide:last-child {
    margin-block-end: var(--swiper-slides-offset-after)
}

.swiper-css-mode.swiper-free-mode>.swiper-wrapper {
    scroll-snap-type: none
}

.swiper-css-mode.swiper-free-mode>.swiper-wrapper>.swiper-slide {
    scroll-snap-align: none
}

.swiper-css-mode.swiper-centered>.swiper-wrapper:before {
    content: "";
    flex-shrink: 0;
    order: 9999
}

.swiper-css-mode.swiper-centered>.swiper-wrapper>.swiper-slide {
    scroll-snap-align: center center;
    scroll-snap-stop: always
}

.swiper-css-mode.swiper-centered.swiper-horizontal>.swiper-wrapper>.swiper-slide:first-child {
    margin-inline-start: var(--swiper-centered-offset-before)
}

.swiper-css-mode.swiper-centered.swiper-horizontal>.swiper-wrapper:before {
    height: 100%;
    min-height: 1px;
    width: var(--swiper-centered-offset-after)
}

.swiper-css-mode.swiper-centered.swiper-vertical>.swiper-wrapper>.swiper-slide:first-child {
    margin-block-start: var(--swiper-centered-offset-before)
}

.swiper-css-mode.swiper-centered.swiper-vertical>.swiper-wrapper:before {
    height: var(--swiper-centered-offset-after);
    min-width: 1px;
    width: 100%
}

.swiper-3d .swiper-slide-shadow,
.swiper-3d .swiper-slide-shadow-bottom,
.swiper-3d .swiper-slide-shadow-left,
.swiper-3d .swiper-slide-shadow-right,
.swiper-3d .swiper-slide-shadow-top {
    height: 100%;
    left: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10
}

.swiper-3d .swiper-slide-shadow {
    background: #00000026
}

.swiper-3d .swiper-slide-shadow-left {
    background-image: linear-gradient(270deg, rgba(0, 0, 0, .5), transparent)
}

.swiper-3d .swiper-slide-shadow-right {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, .5), transparent)
}

.swiper-3d .swiper-slide-shadow-top {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, .5), transparent)
}

.swiper-3d .swiper-slide-shadow-bottom {
    background-image: linear-gradient(180deg, rgba(0, 0, 0, .5), transparent)
}

.swiper-lazy-preloader {
    border: 4px solid var(--swiper-preloader-color, var(--swiper-theme-color));
    border-radius: 50%;
    border-top: 4px solid transparent;
    box-sizing: border-box;
    height: 42px;
    left: 50%;
    margin-left: -21px;
    margin-top: -21px;
    position: absolute;
    top: 50%;
    transform-origin: 50%;
    width: 42px;
    z-index: 10
}

.swiper-watch-progress .swiper-slide-visible .swiper-lazy-preloader,
.swiper:not(.swiper-watch-progress) .swiper-lazy-preloader {
    animation: swiper-preloader-spin 1s linear infinite
}

.swiper-lazy-preloader-white {
    --swiper-preloader-color: #fff
}

.swiper-lazy-preloader-black {
    --swiper-preloader-color: #000
}

@keyframes swiper-preloader-spin {
    0% {
        transform: rotate(0)
    }

    to {
        transform: rotate(1turn)
    }
}

.swiper-grid>.swiper-wrapper {
    flex-wrap: wrap
}

.swiper-grid-column>.swiper-wrapper {
    flex-direction: column;
    flex-wrap: wrap
}

.swiper-scrollbar {
    background: var(--swiper-scrollbar-bg-color, rgba(0, 0, 0, .1));
    border-radius: var(--swiper-scrollbar-border-radius, 10px);
    position: relative;
    touch-action: none
}

.swiper-scrollbar-disabled>.swiper-scrollbar,
.swiper-scrollbar.swiper-scrollbar-disabled {
    display: none !important
}

.swiper-horizontal>.swiper-scrollbar,
.swiper-scrollbar.swiper-scrollbar-horizontal {
    bottom: var(--swiper-scrollbar-bottom, 4px);
    height: var(--swiper-scrollbar-size, 4px);
    left: var(--swiper-scrollbar-sides-offset, 1%);
    position: absolute;
    top: var(--swiper-scrollbar-top, auto);
    width: calc(100% - var(--swiper-scrollbar-sides-offset, 1%)*2);
    z-index: 50
}

.swiper-scrollbar.swiper-scrollbar-vertical,
.swiper-vertical>.swiper-scrollbar {
    height: calc(100% - var(--swiper-scrollbar-sides-offset, 1%)*2);
    left: var(--swiper-scrollbar-left, auto);
    position: absolute;
    right: var(--swiper-scrollbar-right, 4px);
    top: var(--swiper-scrollbar-sides-offset, 1%);
    width: var(--swiper-scrollbar-size, 4px);
    z-index: 50
}

.swiper-scrollbar-drag {
    background: var(--swiper-scrollbar-drag-bg-color, rgba(0, 0, 0, .5));
    border-radius: var(--swiper-scrollbar-border-radius, 10px);
    height: 100%;
    left: 0;
    position: relative;
    top: 0;
    width: 100%
}

.swiper-scrollbar-cursor-drag {
    cursor: move
}

.swiper-scrollbar-lock {
    display: none
}
